<?xml version='1.0'?>
<?xml-stylesheet href="chrome://global/skin/"?>
<?xml-stylesheet href="auth.css"?>

<!DOCTYPE window [
<!ENTITY % authDTD SYSTEM "/native/fx/welcome.dtd">
%authDTD;
]>

<window onload="YaAuth.onDialogLoad();" onunload="YaAuth.onDialogUnload()" xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">

    <script src="auth.js" type="application/x-javascript"/>

    <vbox id="contentHolder">
        <vbox align="center">
            <image id="logo" src="/native/fx/icons/yandex-logo.png"/>
            <label id="title" value=""/>
        </vbox>

        <hbox align="center">
            <textbox autocompletepopup="YaPassLoginPopupAutocomplete" autocompletesearch="YaPassComplete" autocompletesearchparam="login" clickSelectsAll="true" completeselectedindex="true" emptytext="&welcome.login.label;" enablehistory="true" flex="1" id="username" maxlength="255" newlines="replacewithspaces" onchange="YaAuth.checkAcceptButton();" onkeyup="YaAuth.checkAcceptButton(event);" ontextentered="YaAuth.handleLoginEntered();" placeholder="&welcome.login.label;" showcommentcolumn="true" showimagecolumn="true" type="autocomplete" yaHasSavedLogins="false"/>
        </hbox>

        <hbox align="center">
            <textbox emptytext="&welcome.password.label;" flex="1" id="password" onchange="YaAuth.checkAcceptButton();" oninput="YaAuth.checkAcceptButton();" onkeyup="YaAuth.checkAcceptButton(event);" placeholder="&welcome.password.label;" type="password"/>
        </hbox>

        <deck id="connectionStatus" selectedIndex="0">
            <hbox/>
            <hbox><description>&welcome.status.request.label;&#8230;</description></hbox>
            <hbox><description>&welcome.status.error.label;</description></hbox>
            <hbox><description>&welcome.status.neterror.label;</description></hbox>
            <hbox>
                <vbox>
                    <description>&welcome.maxErrors1.label;</description>
                    <description onclick="YaAuth.handleLinkClick(event);" tooltiptext="https://passport.yandex.ru/" yaLinkAction="3110" yahref="https://passport.yandex.ru/">&welcome.maxErrors2.label;</description>
                </vbox>
            </hbox>
        </deck>

        <checkbox id="strangeComputer" label="&welcome.strange.computer.label;"/>

        <hbox align="center">
            <button disabled="true" id="doLogin" label="&welcome.login.button.label;" oncommand="YaAuth.onDialogAccept();"/>
            <spacer flex="1"/>
            <label id="rememberLogin" onclick="YaAuth.handleLinkClick(event);" value="&welcome.go.remember.password.label;" yahref="https://passport.yandex.ru/passport?mode=remember"/>
        </hbox>

        <separator orient="horizontal"/>

        
        <vbox full="false" id="socialAuthBlock" pack="center">
            <hbox align="center" id="socialAuthContainer">
                <label id="socialAuthLabel" value="&welcome.social.enter.label;"/>
                <hbox class="shortListElement" id="socialAuthShortList"/>
                <hbox class="shortListElement" id="socialAuthShowMore" onclick="if (event.button === 0) YaAuth.switchSocialAuthList();"/>
            </hbox>
            <vbox class="fullListElement" id="socialAuthFullList"/>
            <hbox>
                <label value="&welcome.or.label;&#160;"/>
                <label id="register" onclick="YaAuth.handleLinkClick(event);" value="&welcome.go.registration.label;" yahref="https://passport.yandex.ru/passport?mode=register"/>
            </hbox>
        </vbox>
    </vbox>
</window>
